Runtime

## org.eclipse.gmf.runtime.common.ui.action.actions.global
Class ClipboardContentsHelper

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.action.actions.global.ClipboardContentsHelper

    public class ClipboardContentsHelper

extends java.lang.Object

This class is responsible for getting the contents from the clipboard.

Constructor Summary
`protected` `ClipboardContentsHelper()` Creates a new instance.

Method Summary
`java.lang.Object` `getClipboardContents(Transfer dataType)` Returns the system clipboard contents
`static ClipboardContentsHelper` `getInstance()` Retrieves the singleton instance of `ClipboardContentsHelper`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClipboardContentsHelper

    protected ClipboardContentsHelper()

  Creates a new instance.

Method Detail

### getInstance

    public static ClipboardContentsHelper getInstance()

  Retrieves the singleton instance of `ClipboardContentsHelper`.

  Returns:
    the singleton instance of `ClipboardContentsHelper`

### getClipboardContents

    public java.lang.Object getClipboardContents(Transfer dataType)

  Returns the system clipboard contents

  Parameters:
    `dataType` - The transfer agent
  Returns:
    Object Data associated with the transfer agent

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.